uZXmHJWvjFpdateApp(ShowMess) {
	var localVersion;
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {

		localVersion = inf.version;
		var serverPage = "/DataGet/GetLastVersion.ashx";
		RunAjax(serverPage, {}, function(dataS) {
			if(!dataS || dataS.length == 0) return;
			var versionMess = JSON.parse(dataS)[0];
			var serverVersion = versionMess.LastVersion;
			if(!serverVersion) return;
			//根据需要更新的类型，下载对应的文件。
			if(serverVersion != localVersion) {
				//需要更新 
				//比较是否为大版本更新
				if(localVersion.split(".")[0] == serverVersion.split(".")[0]) {
					//小版本更新，直接从服务器下载更新
					if(!versionMess.UpdateUrl) return;
					//应用资源更新:从指定URL下载文件
					GetNewPack(versionMess.UpdateUrl);
				} else {
					//大牌本更新：需要判断网络，系统类型，从服务器更新
					var updateMess = "应用有大功能更新。\r\n\r\n为了不影响使用，请您及时更新应用！";
					var updateTitle = "更新提示";
					var updateUrl = plus.os.name == "iOS" ? versionMess.IpaUrl : versionMess.ApkUrl;
					plus.nativeUI.confirm(updateMess, function(event) {
						if(0 == event.index) {
							plus.runtime.openURL(updateUrl);
						}
					}, updateTitle, ["立即更新", "下次更新"]);
				}
			}else{
				if (ShowMess){
					plus.nativeUI.alert("您的手机当有已是最新版本！",null,"门口网提示");
				}
			}
		});
	});

}

function GetNewPack(url) {
	plus.nativeUI.showWaiting("数据更新中。。。");
	var downTask = plus.downloader.createDownload(url, {
		filename: "_doc/Update/",
		retry: 0
	}, function(d, status) {
		if(status == 200) {
			plus.nativeUI.closeWaiting();
			InstallPack(d.filename);
		} else {
			plus.nativeUI.closeWaiting();
		}
	});
	downTask.start();
};

function InstallPack(file) {
	plus.nativeUI.showWaiting("更新安装中。。。");
	plus.runtime.install(file, {
		force: true
	}, function() {
		plus.nativeUI.closeWaiting();
		//安装成功
		mui.toast("应用更新成功！");

		//		plus.runtime.getProperty(plus.runtime.appid, function(e) {
		//				mui.toast(e.version);
		//			})
		//重新启动应用程序 
		plus.runtime.restart();
	}, function() {
		plus.nativeUI.closeWaiting();
		//安装 失败
		mui.toast("应用更新失败！");
	})
}