BGdxRMlpHZ货地址列表。
function getAddrList() {
//	plus.nativeUI.closeWaiting();
	plus.nativeUI.showWaiting("收货地址加载中...");
	var serverPage = "/DataGet/User/GetUserAddr.ashx";
	var para = {
		UserId: plus.storage.getItem("UserId")
	};
	RunAjax(serverPage, para, function(dataS) {
		//加载时先清空数据
		document.getElementById("addr-list").innerHTML = "";
		var data = JSON.parse(dataS);
		
		cStr = '<li class="mui-table-view-cell"><a class="mui-navigate-right" style = "color:blue">添加新地址</a></li>';
		mui.each(data, function() {
			cStr += '<li class="mui-table-view-cell">';
			cStr += '<a class="mui-navigate-right" addrId = "' + this.AddrId + '"';
			cStr += 'addr = "' + this.Addr + '" isDefault = "' + this.IsDefault;
			cStr += '" contacts = "' + this.Contacts + '" tel = "' + this.Tel;
			cStr += '" x = "' + this.X + '" y = "' + this.Y + '">';
			cStr += '<span>' + this.Contacts + '：' + this.Tel + '</span>';
			if (this.IsDefault) {
				cStr += '<span class="mui-badge mui-badge-green">默认</span>';
			}
			cStr += '<p>' + this.Addr + '</p>';
			cStr += '</a></li>'
		});
		document.getElementById("addr-list").innerHTML = cStr;
		plus.nativeUI.closeWaiting();
	}, function() {
		plus.nativeUI.closeWaiting();
		self.close();
	});
}

//添加/修改地址
mui("#addr-list").on("tap", "a", function() {
	var isAddr = this.getAttribute("addrId");
	if (!isAddr) {
		//没有这个属性说明是新增项
		var para = {
			EditType: "insert"
		};
	} else {
		var para = {
			EditType: "update",
			AddrId: this.getAttribute("addrId"),
			IsDefault: this.getAttribute("isDefault"),
			Addr: this.getAttribute("addr"),
			Contacts: this.getAttribute("contacts"),
			Tel: this.getAttribute("tel"),
			X:this.getAttribute("x"),
			Y:this.getAttribute("y")
		};
	}
	if (self.IsSelect && isAddr) {
		//选择地址(是选择模式，并且是地址，不是新增)
		mui.fire(self.opener(),"SelectAddr",para);
		self.close();
	} else {
		//修改/添加地址
		MkOpenWindow("../System/SetMyAddress.html","SetMyAddress",para);
	}
});