OFmyMGBqeS务数组
var upTask = new Array();

//任务是否开启
var upTaskStarted = false;

//上传成功后执行其它操作
function upImageDoOther(imgObj, jobOther) {
	//要上传的文件（已经是绝对路径）
	var file = imgObj.getAttribute("data-src");
	//文件是否存在放在这里验证(上传的地方不需要验证)??以后再补

	//文件已上传过则不再重新上传,直接执行其它操作
	if (imgObj.getAttribute("upLoaded") == "true") {
		//如果事件存在，则执行其它 事件，否则什么也不做。
		if (jobOther) {
			getPosDoOther(jobOther)
		}
		return;
	};

	//将当前任务添加到任务数组中
	upTask.push({
		img: imgObj,
		jobFun: jobOther
	});

	if (!upTaskStarted) {
		plus.nativeUI.showWaiting("图片上传中，请稍候...");
		upTaskStarted = true;
		//开始上传任务
		startUpLoad();
	}
};

function startUpLoad() {
	//所有上传任务都已经完成：
	if (upTask.length == 0) {
		plus.nativeUI.closeWaiting();
		upTaskStarted = false;
		return;
	}

	//从上传任务表中取出一个任务
	var curTask = upTask.shift();
	var jobOther = curTask.jobFun; //要执行的回调函数
	var imgObj = curTask.img; //当前要上传的img对象（HTML对象）
	var upFile = imgObj.getAttribute("data-src"); //要上传的文件。

	var url = imageServer + "/Publics/UploadFile.ashx";

	//创建上传任务
	var task = plus.uploader.createUpload(
		url, //要上传的地址
		{
			method: "post"
		}, //上传的参数，还有好几个。不知道断点续传怎么搞??
		function(t, status) { //回调函数
			
			if (status == 200) {
				var fileOnServer = t.responseText;
				//标注文件已上传。
				imgObj.setAttribute("upLoaded", "true");
				//服务器上图片文件名字
				imgObj.setAttribute("imgNameOnServer", fileOnServer);
				//上传成功后执行其它操作。
				if (jobOther)
					getPosDoOther(jobOther);
				plus.nativeUI.closeWaiting();
			} else {
				plus.nativeUI.closeWaiting();
				mui.toast("上传文件失败！");
			}
			//上传任务完成后，继续下一个任务
			startUpLoad();
		}
	);

	//要往服务器传送的参数，在服务器端 用Request.Form[]抓取。
	//图片类型，在服务器端决定存放位置。
	task.addData("dir", imgObj.getAttribute("dir"));

	//是否生成小图片。
	if (imgObj.getAttribute("genSmall")) {
		task.addData("genSmall", "true");
	}
	//添加要上传的文件
	task.addFile(
		upFile, //添加要上传的文件。
		{
			//						key:"key",	//不设置则自动取文件名称，一个上传任务中如果添加相同key的上传字段将导致添加失败。
			//						name:"name",	//发送到服务器时的文件名。不设置则自动取本地文件名称。
			//						mime:"mime"		//发送到服务器时的后轰名。不设置则自动根据文件后缀名称生成。
		}
	);
	//启动上传
	task.start();
};