TAEhvYrKct牌列表。
function GetBrandList() {
	var serverPage = "/DataGet/Brand/GetBrandList.ashx";
	var para = {
		UserId: plus.storage.getItem("UserId")
	};

	RunAjax(serverPage, para, SetBrandList, function() {
		mui.toast(ajaxErrorMess);
		plus.nativeUI.closeWaiting();
		self.close();
	});
};

function SetBrandList(dataS) {
	var data = JSON.parse(dataS);
	var cStr = "";
	mui.each(data, function() {
		cStr += '<li class="mui-table-view-cell mui-collapse">';
		cStr += '<a class="mui-navigate-right" href="#" dataId = "' + this.BrandId + '" dataName = "' + this.BrandName + '">';
		cStr += this.BrandName;
		cStr += '<p>[' + this.TradeName + ']　' + '</p>';
		
		if(!this.BrandIsVip) {
			cStr += '<p class = "mui-badge mui-badge-red">未入驻</p>'
		}else{
			cStr += '<p class = "mui-badge mui-badge-blue">' +this.DateTo + '到期</p>'
		}
		cStr += '</a>';
		cStr += '<ul class="mui-table-view">';
		cStr += '<li class="mui-table-view-cell"><a operator = "edit" data-href = "../Shop/BrandAdd.html" class="mui-navigate-right">修改资料</a></li>';
		if(this.BrandIsVip) {
			cStr += '<li class="mui-table-view-cell"><a operator = "newBind" data-href = "FindAndBindShop.html" class="mui-navigate-right" style = "color:blue;">关联分销商店铺</a></li>';
			cStr += '<li class="mui-table-view-cell"><a operator = "unBind" data-href = "../Shop/BrandShop.html" class="mui-navigate-right" style = "color:red;">待验证的分销商';
			if (this.ShopCountUnBind > 0){
				cStr += '<p class = "mui-pull-right mk-li-right">' + this.ShopCountUnBind + '个</p>';
			}
			cStr += '</a></li>';

			cStr += '<li class="mui-table-view-cell"><a operator = "finBind" data-href = "../Shop/BrandShop.html"  class="mui-navigate-right">已关联的分销商';
			if (this.ShopCountBind > 0){
				cStr += '<p class = "mui-pull-right mk-li-right">' + this.ShopCountBind + '个</p>';
			}
			cStr += '</a></li>';

		} else {
			cStr += '<li class="mui-table-view-cell"><a operator = "join" data-href = "../Pay/BrandJoin.html" class="mui-navigate-right" style = "color:red;">品牌入驻 </a></li>';
		}
		//生效中则不允许删除
		if (!this.BrandIsVip){
			cStr += '<li class="mui-table-view-cell"><a operator = "delete" data-href = "" class="mui-navigate-right">删除</a></li>';
//			var dateCur = new Date();
//			var dateTo = new Date(this.DateTo)
//			console.log(dateCur > dateTo)
		} 
		
		cStr += '</ul>';
		cStr += '</li>';
	});
	console.log(cStr);
	if(cStr) {
		document.getElementById("brand-list").innerHTML = cStr;
		document.getElementById("no-brand").classList.add("mui-hidden");
	} else {
		document.getElementById("no-brand").classList.remove("mui-hidden");
	}
	plus.nativeUI.closeWaiting();
	self.show();
};

//根据品牌id获取品牌资料。
function GetBrandById(id) {

	var serverPage = "/DataGet/Brand/GetBrandById.ashx";
	var para = {
		BrandId: id
	};
	RunAjax(serverPage, para, setBrand, function() {
		mui.toast(ajaxErrorMess);
		plus.nativeUI.closeWaiting();
		self.close();
	});
};

function setBrand(dataS) {

	var data = JSON.parse(dataS)[0];
	document.getElementById("brand-name").value = data.BrandName;
	document.getElementById("brand-sim").value = data.BrandSim;
	document.getElementById("address").value = data.Address;
	document.getElementById("tel").value = data.Tel;
	document.getElementById("brand-body").value = data.BrandBody;
	document.getElementById("trade").setAttribute("dataId", data.TradeId);
	document.getElementById("trade").innerHTML = data.TradeName;

	//图片
	if(data.OtherImg) {
		var objImg = document.getElementById("brand-img");
		objImg.setAttribute("imgName", data.OtherImg);
		objImg.setAttribute("imgNameOnServer", data.OtherImg)
			//图片默认为已上传
		objImg.setAttribute("upLoaded", "true")
		objImg.onload = loadImage(objImg);
	};

	plus.nativeUI.closeWaiting();
	self.show();
};