IfXbKkepYy的店铺
function getShopOwner() {
	var serverPage = "/DataGet/Shop/GetShopOwner.ashx";
	var para = {
		userId: plus.storage.getItem("UserId")
	};
	RunAjax(serverPage, para, setShopOwner,
		function() {
			mui.toast(ajaxErrorMess);
			self.close();
		});
};

//加载我的店铺
function setShopOwner(dataS) {
	var data = JSON.parse(dataS);
	//没有店铺绑定时。
	if(data.length == 0) {
		plus.nativeUI.closeWaiting();
		self.show();
		document.getElementById("noShop").classList.remove("mui-hidden");
		return;
	} else {
		document.getElementById("noShop").classList.add("mui-hidden");
	}

	var shopList = document.getElementById("shopList");
	var html = [];
	for(i = 0; i < data.length; i++) {
		html.push('<li class="mui-table-view-cell mui-collapse">');
		html.push('<a class="mui-navigate-right" ');
		html.push(' address = "' + data[i].Address + '" ');
		html.push(' tel = "' + data[i].Tel + '" ');
		html.push(' href="#" shop-name = "' + data[i].ShopName + '" ');
		html.push(' dataId = "' + data[i].ShopId + '">');
		//		html.push('<i class="iconfont icon-diamond" style = "color:#00FF00;font-size:1.1em"></i>');
		html.push('<span class = "mk-item-title">');
		html.push('<span>' + data[i].ShopName + '</span>');
		var color = (data[i].ShopIsVip ? "#FF0033" : "#cccccc");
		html.push('<i class="iconfont icon-diamond mui-pull-left" style = "color:' + color + ';font-size:1.1em"></i>');
		html.push('</span>');
		html.push('<p>[' + data[i].SpaceName + '] [' + data[i].TradeName + ']</p> ');
		var color, dateStr;
		if(data[i].ShopIsVip) {
			if(data[i].VipDays < 10) {
				color = "red";
				dateStr = "即将到期";
			} else {
				color = "blue"
				dateStr = "截止日期"
			}
			html.push('<p style = "color:' + color + '">店铺VIP' + dateStr + '：' + data[i].ShopVipEnd + '</p>');
		}
		if(data[i].UserId > 0) {

			html.push('</a>');
			html.push('<ul class="mui-table-view">');
			html.push('<li class="mui-table-view-cell"><a operator = "true" data-href = "../Shop/ShopAdd.html" class="mui-navigate-right">资料修改</a></li>');
			html.push('<li class="mui-table-view-cell"><a operator = "true" data-href = "../Shop/ShopDetail.html" class="mui-navigate-right">店铺预览</a></li>');
			if(data[i].ShopIsVip) {
				html.push('<li class="mui-table-view-cell"><a operator = "true" data-href = "../Shop/ItemInShopShow.html" class="mui-navigate-right">发布的内容</a></li>');
				html.push('<li class="mui-table-view-cell"><a operator = "true" data-href = "../Account/ShopAccount.html" class="mui-navigate-right">店铺帐务处理</a></li>');
//				html.push('<li class="mui-table-view-cell"><a operator = "true" data-href = "LogTotal.html" class="mui-navigate-right">大数据统计</a></li>');
				html.push('<li class="mui-table-view-cell"><a operator = "true" data-href = "../System/ShopAddUser.html" class="mui-navigate-right">增加店铺员工(可验证订单)</a></li>');

			} else {
				html.push('<li class="mui-table-view-cell"><a operator = "true" data-href = "../Pay/ShopJoin.html" class="mui-navigate-right" style = "color:red">成为VIP商铺</a></li>');
			};
			//			html.push('<li class="mui-table-view-cell"><a operator = "true" type = "shop-close" class="mui-navigate-right">关闭店铺</a></li>');
			html.push('</ul>');
			html.push('</li>');
		} else {

			html.push('<span class="mui-badge mui-badge-red">资料审核中</span>');
			html.push('</a>');
			html.push('<ul class="mui-table-view">');
			html.push('<li class="mui-table-view-cell"><a operator = "true" type = "bind-cancel" class="mui-navigate-right">取消绑定</a></li>');
			html.push('</ul>');
			html.push('</li>');
		}
	}

	shopList.innerHTML = html.join('');
	plus.nativeUI.closeWaiting();
	self.show("slide-in-right",300);
};