EtMudObSXq发布的商品
function getMyItem() {
	var serverPage = "/DataGet/Item/GetItemOwner.ashx";
	var para = {
		userId: plus.storage.getItem("UserId")
	};
	RunAjax(serverPage, para, setMyItem, function() {
		plus.nativeUI.closeWaiting();
		self.close();
	});
};

//设置界面
function setMyItem(dataS) {

	var data = JSON.parse(dataS);

	var html = [];
	mui.each(data, function() {
		var prdSet = GetPrdSet(this.PrdId);
		html.push('<li class="mui-table-view-cell mui-collapse" ');
		if(prdSet.VipClass == 0) {
			//任何人都可以发布的内容
			if(this.CountShopOnShow == 0) {
				html.push('status="no-show">');
			} else {
				html.push('status="show">');
			}

		} else {
			if(this.CountShopOnShow == 0)
				html.push('status="no-show">');
			else {
				if(this.CountShopOnShow == this.CountShopInUser) {
					html.push('status="show">');
				} else {
					html.push('status="half-show">');
				}
			}
		}
		html.push('<a class="mui-navigate-right" href="#" ');
		html.push('prdId="' + this.PrdId + '" prdName = "' + this.PrdName + '"');
		html.push('dataId = "' + this.ItemId + '">');
		//		图片
		html.push('<div class="mk-img-out mui-media-object mui-pull-left">');
		html.push('<img onload="loadImage(this);" ');
		html.push(' dir="Item" src="../../img/DefaultImg.gif" ');
		html.push('imgType = "small" ');
		html.push(' imgName="' + this.MainImg + '">');
		html.push('</div>');

//html.push('<div class="mui-media-body">';

		html.push('<p class = "mk-item-title">');
		if(this.ItemNoOwner.length > 0) {
			html.push('[' + this.ItemNoOwner + '] ');
		}
		html.push(this.ItemName + '</p>');
		html.push('<p> [' + this.PrdName + ']');
		if(this.SendTypeName) {
			html.push('[' + this.SendTypeName + ']');
		}

		html.push('</p>');
		if(prdSet.ShowPriceAct) {
			//显示价格的商品
			html.push('<p style = "color:blue;"> 售价:' + this.PriceSale.toFixed(2) + '元/' + this.Uom + '</p>');
			var qtyMax = [];
			if(this.QtyMaxAll > 0) {
				qtyMax.push(this.QtyMaxAll + this.Uom + '售完即止');
			}
			if(this.QtyMaxOne > 0) {
				qtyMax.push('每人限购' + this.QtyMaxOne + this.Uom);
			}

			if(qtyMax.length > 0) {
				html.push('<p style = "color:red;">' + qtyMax.join(";")) + '</p>';
			}
			html.push('</p>');
		}

		//		销售时间?
		//		if (this.Time)

		if(this.CountShopOnShow > 0) {
			//有展示记录

			if(prdSet.VipClass == 0) {
				html.push('<span class="mui-badge mui-badge-green">展示中</span></a>');
			} else {
				html.push('<span class="mui-badge mui-badge-green">' + this.CountShopOnShow + '个店铺展示中</span></a>');
			}
			html.push('<ul class="mui-table-view">');
			html.push('</ul>');
			html.push("</li>");
		} else {
			//没有展示 记录
			html.push('<span class="mui-badge mui-badge-red">闲置中</span></a>');
			html.push('<ul class="mui-table-view">');

			html.push('<li class="mui-table-view-cell">');
			html.push('<a class="mui-navigate-right" type="edit">');
			html.push("修改资料");
			html.push('</a></li>');

			html.push('<li class="mui-table-view-cell">');
			html.push('<a class="mui-navigate-right" type="start-show">');
			html.push('上架展示');
			html.push('</a></li>');

			html.push('<li class="mui-table-view-cell">');
			html.push('<a class="mui-navigate-right" type="delete">');
			html.push('删除资料');
			html.push('</a></li>');
			html.push('</ul></li>');
		}
	});
	var objList = document.getElementById("myItemList");
	objList.innerHTML = html.join("");
	console.log(html.join(""));
	plus.nativeUI.closeWaiting();
	if(data.length == 0) {
		mui(".no-data")[0].classList.remove("mui-hidden");
	} else {
		mui(".no-data")[0].classList.add("mui-hidden");
	}
	//	if(!self.isVisible()) {
	self.show();
	//	}
}

//获取商品发布的店铺。
function getItemShop(itemId, ul) {
	var status = ul.parentNode.getAttribute("status");

	var serverPage = "/DataGet/Shop/GetShopByItem.ashx";
	var para = {
		itemId: itemId
	};
	RunAjax(serverPage, para, function(dataS) {
		var data = JSON.parse(dataS);
		html = [];
		//资料修改
		html.push('<li class="mui-table-view-cell"><a class="mui-navigate-right" type="edit">修改资料</a></li>');
		if(status == "half-show") {
			html.push('<li class="mui-table-view-cell"><a class="mui-navigate-right" type="start-show">上线展示</a></li>');
		}
		mui.each(data, function() {
			html.push('<li class="mui-table-view-cell">');
			html.push('<a class="mui-navigate-right" type="' + (this.IsStop ? "re-" : "stop-") + 'show" showId = "' + this.Id + '">');
			html.push(this.ShopName + "   [" + this.SpaceName + "]");
			var color, dateStr;
			if(this.VipDays < 10) {
				color = "red";
				dateStr = "即将到期：" + this.DateTo;
			} else {
				color = "blue";
				dateStr = "截止日期：" + this.DateTo;
			}
			html.push('<p style = "color:' + color + '">展示' + dateStr + '</p>');
			html.push('<p shopOperator class = "mui-badge mui-badge-inverted">' + (this.IsStop ? '重新上线' : '下线') + '</p>');
			html.push('</a></li>');
		});
		ul.innerHTML = html.join("");
		plus.nativeUI.closeWaiting();
	});
}