tMNFlYiCaD片
var chooseImg = function(imgObj, otherJob, title, multipleSelect) {
	title = title ? title : "获取照片";
	var style = {
		title: title,
		cancel: "取消",
		buttons: [{
			title: "拍照"
		}, {
			title: "从相册选择"
		}]
	};
	plus.nativeUI.actionSheet(style, function(e) {
		if(e.index == 1) {
			//拍照
			genImgDoOther(imgObj, otherJob);
		};
		if(e.index == 2) {
			//从相册选择
			pickImgDoOther(imgObj, otherJob, multipleSelect);
		};
	});
};

//选择图片之后并执行其它代码(使用现在图片)
function pickImgDoOther(imgObj, otherJob, multipleSelect) {
	if(!plus) return;
	plus.gallery.pick(
		function(data) {
			if(otherJob) {
				otherJob(data, "select")
			} else {
				setImg(data, imgObj);
			};
		},
		function(err) {
			mui.toast("选择文件失败.")
		}, {
			filter: "image",
			multiple: multipleSelect,
			maximum: 9,
			animation: true,
			system: false,
			onmaxed: function() {
				mui.alert("最多只能选择9张图片");
			}
		});
};

//调用摄相头拍照之后执行其它代码
function genImgDoOther(imgObj, otherJob) {
	console.log("拍照")
	if(!plus) return;
	//获取摄相头对象
	var camera = plus.camera.getCamera();
	if(!camera) return;
	//拍照
	camera.captureImage(
		function(data) {
			if(otherJob) {
				otherJob(data, "gen");
				camera = null;
			} else {
				setImg(data, imgObj);
			}
		},
		function(err) {
			mui.alert("拍照失败,请重试！");
		}, {
			filename: "_doc/camera/"
		}
	);
};

//重新设置图片
function setImg(file, imgObj) {
	compressImageDoOther(file, "_doc/gallery/", function(e) {
		imgObj.src = e;
		var fileName = e.substring(e.lastIndexOf("/") + 1, e.length)
		imgObj.setAttribute("imgName", fileName);
		imgObj.setAttribute("data-src", e);
		//			更改图片之后重置上传状态
		imgObj.setAttribute("upLoaded", "");
		upImageDoOther(imgObj);
	});
}

//压缩图片后执行其它代码
function compressImageDoOther(oldFileName, newFilePath, otherJob) {
	if(!plus) return;

	plus.io.resolveLocalFileSystemURL(oldFileName, function(e) {
		e.file(function(f) {
			if(f.size > 500 * 1024) {
				//图片必须 小于200Kb。否则进行压缩
				//检查文件是否存在
				plus.io.resolveLocalFileSystemURL(oldFileName, function(data) {
					plus.zip.compressImage({
						src: oldFileName,
						dst: newFilePath + data.name,
						width: 1000,
						quality: 100,
						overwrite: true
					}, function(event) {
						console.log(event.target)
						otherJob(event.target);
					}, function(err) {
						mui.toast("文件处理失败！");
					});
				}, function(err) {
					mui.toast("要压缩的文件不存在!");
				});
			} else {
				//图片小于200kb时，直接使用。
				otherJob(oldFileName);
			}
		})
	})

};

//添加商品/商家主图片
//imgName:图片文件列表，用逗号隔开
//imgMess:图片文字描述，用|号隔开。
//type:Item产品，Shop店铺，决定 从哪里读取数据
//count:读取图片的数量，0代表所有。
//haveHelp:暂时忘记了做什么用的，好像是控制点击预览的。
function addImgDetail(imgName, imgMess, type, count, haveHelp) {
	aImgName = imgName.split(",");
	aImgMess = imgMess.split("|");
	var cStr = "";

	count = (count == 0 ? aImgName.length : count);
	for(var i = 0; i < count; i++) {
		if(!aImgName[i]) continue;
		cStr += '<div class="mk-img-out">';
		cStr += '<img src="../../img/DefaultImg.gif" ';
		if(!haveHelp) {
			cStr += ' data-preview-group="1" data-preview-src=""  ';
		};
		cStr += 'upLoaded = "true" imgNameOnServer = "' + aImgName[i] + '" mess = "' + aImgMess[i] + '" ';
		cStr += 'dir = "' + type + 'Detail" style = "width:100%;" onload="loadImage(this);" ';
		cStr += 'imgName = "' + aImgName[i] + '"/>';
		if(aImgMess[i]) {
			cStr += '<div class="mk-img-top">';
			cStr += '<div class="mk-triangle-down"></div>';
			cStr += '<span>' + aImgMess[i] + '</span>';
			cStr += '</div>';
		}
		cStr += '</div>';
		
	}
	document.getElementById("img-list").innerHTML = cStr;
};

//添加商品/商家主图片
//imgName:图片文件列表，用逗号隔开
//imgMess:图片文字描述，用|号隔开。
//type:Item产品，Shop店铺，决定 从哪里读取数据
//count:读取图片的数量，0代表所有。
//haveHelp:暂时忘记了做什么用的，好像是控制点击预览的。
function addImgDetailEdit(imgName, imgMess, type, count, haveHelp) {
	aImgName = imgName.split(",");
	aImgMess = imgMess.split("|");
	var cStr = "";

	count = (count == 0 ? aImgName.length : count);
	for(var i = 0; i < count; i++) {
		if(!aImgName[i]) continue;
		//                            <div style = "display:table;height:90px;">
		//                                  <div class = "mk-imglist-detail-add" style = "width:30%;">
		//                                        <img src="../../img/test.jpg"/>
		//                                  </div>
		//                                  <div class = "mk-imglist-detail-add" style = "text-align: left;vertical-align: top;padding-left: 10px;">
		//                                        <p class = "mui-ellipsis" >图片描述：</p>
		//                                        <p class = "mk-image-detail-mess">颜色展示</p>
		//                                  </div>
		//                                  <div class = "mk-imglist-detail-add"  style = "width:80px;text-align: center;vertical-align: top;" >
		//                                        <button data-type = "up" type="button" class="mui-btn mui-btn-blue mui-btn-outlined">上移图片</button>
		//                                        <button data-type = "add-mess" type="button" class="mui-btn mui-btn-blue mui-btn-outlined">增加描述</button>
		//                                        <button data-type = "delete" type="button" class="mui-btn mui-btn-blue mui-btn-outlined">删除图片</button>
		//                                        <button data-type = "down" type="button" class="mui-btn mui-btn-blue mui-btn-outlined">下移图片</button>
		//                                  </div>
		//                            </div>	  
		cStr += '<div style = "display:table;width:100%;border-bottom:1px solid rgba(255,0,0,0.1)">';
		cStr += '<div class = "mk-imglist-detail-add" style = "width:30%;">';
		cStr += '<img class = "mui-pull-left" src="../../img/DefaultImg.gif" ';
		cStr += 'imgName = "' + aImgName[i] + '"  dir = "' + type + 'Detail" ';
		cStr += ' data-preview-group="1" data-preview-src="" onload="loadImage(this);" ';
		cStr += 'upLoaded = "true" imgNameOnServer = "' + aImgName[i] + '" mess = "' + aImgMess[i] + '" />';
		cStr += '</div>';

		cStr += '<div class = "mk-imglist-detail-add" style = "text-align: left;vertical-align: top;padding-left: 10px;">';
		cStr += '<div class = "mui-pull-right">';
		//		cStr += '<button data-type = "up" type="button" class="mui-btn mui-btn-blue mui-btn-outlined">上移图片</button>';
		cStr += '<a data-type = "up" style = "margin-right:10px;" class="mui-icon mui-icon-arrowup"></a>';
		cStr += '<a data-type = "edit"  style = "margin-right:10px;" class="mui-icon mui-icon-compose"></a>';
		cStr += '<a data-type = "del" style = "margin-right:10px;" class="mui-icon mui-icon-trash"></a>';
		cStr += '<a data-type = "down" style = "margin-right:10px;" class="mui-icon mui-icon-arrowdown"></a>';
		//		cStr += '<button data-type = "down" type="button" class="mui-btn mui-btn-blue mui-btn-outlined">下移图片</button>';
		cStr += '</div>';
		cStr += '<p class = "mui-ellipsis" >图片描述：</p>';
		cStr += '<p class = "mk-image-detail-mess">' + aImgMess[i] + '</p>';

		cStr += '</div>';
		cStr += '</div>';

	}
	document.getElementById("img-list").innerHTML = cStr;
};