MGBzUAynCQ料编辑
function getShopByEdit(shopId) {
	var serverPage = "/DataGet/Shop/GetShopByEdit.ashx";
	var para = {
		ShopId: shopId
	};
	RunAjax(serverPage, para, setShopData, function() {
		mui.toast("获取店铺资料失败！请重新查看！");
		self.close();
		plus.nativeUI.closeWaiting();
	});

};

function setShopData(dataS) {
	var data = JSON.parse(dataS);
	var itemData = data[0];
	x = itemData["f_x"] * 1;
	y = itemData["f_y"] * 1;
	var mainImg = document.getElementById("main-img");
	if(mainImg && itemData.MainImg) {
		mainImg.setAttribute("imgName", itemData.MainImg);
		mainImg.setAttribute("imgNameOnServer", itemData.MainImg)
			//图片默认为已上传
		mainImg.setAttribute("upLoaded", "true")
		mainImg.onload = loadImage(mainImg);
	};

	//基本资料
	document.getElementById("shop-name").value = itemData.ShopName;
	document.getElementById("shop-sim").value = itemData.ShopSim;
	document.getElementById("shop-addr").value = itemData.Address;
	document.getElementById("tel").value = itemData.Tel

	//大类行业及位置
	document.getElementById("shop-type").innerHTML = itemData.ShopTypeName;
	document.getElementById("shop-type").setAttribute("dataId", itemData.ShopTypeId);
	document.getElementById("trade").innerHTML = itemData.TradeName;
	document.getElementById("trade").setAttribute("dataId", itemData.TradeId);
	document.getElementById("space").innerHTML = itemData.SpaceName;
	document.getElementById("space").setAttribute("dataId", itemData.SpaceId);
	//地图定位标识
	if(x > 0 && y > 0) {
		var xy = document.getElementById("x-y");
		xy.setAttribute("x", x);
		xy.setAttribute("y", y);
		xy.innerHTML = "已定位";
	}
	//是否商家本人编辑
	var userId = plus.storage.getItem("UserId");
	//	console.log(userId + "  " + itemData.UserId)
	if(userId == itemData.UserId) {
		var timeObj = document.getElementById("job-time")
		timeObj.classList.remove("mui-hidden");
		timeObj.querySelector("a[data-type=start]").setAttribute("time", itemData.TimeStart);
		timeObj.querySelector("a[data-type=start]").querySelector("p").innerHTML = itemData.TimeStart || "未设置";
		timeObj.querySelector("a[data-type=end]").setAttribute("time", itemData.TimeEnd);
		timeObj.querySelector("a[data-type=end]").querySelector("p").innerHTML = itemData.TimeEnd || "未设置";
		timeObj.querySelector("a[data-type=end-other]").setAttribute("time", itemData.TimeEndOther);
		timeObj.querySelector("a[data-type=end-other]").querySelector("p").innerHTML = itemData.TimeEndOther || "未设置";

		var objDis = document.getElementById("div-dis");
		document.getElementById("famt-buy-full").value = itemData.FamtBuyFull;
		document.getElementById("famt-buy-full-dis").value = itemData.FamtBuyFullDis;
		document.getElementById("dis-sim").value = itemData.DisSim;

		objDis.classList.remove("mui-hidden");
		if(itemData.JoinDis) {
			var objSwitch = objDis.querySelector(".mui-switch[data-type=join]")
			objSwitch.classList.add("mui-active");
			mui.trigger(objSwitch, "toggle", {
				isActive: true
			});
			//折扣模式
			var objDisType = objDis.querySelector('input[type=radio][value="' + itemData.DisType + '"]');
			objDisType.checked = true;
			mui.trigger(objDisType, "change");
			document.getElementById("dis-condition").value = itemData.DisCondition;
			//折扣时间
			objSwitchTime = objDis.querySelector(".mui-switch[data-type=time]")
			if(!itemData.IsAllTimeDis) {
				objSwitchTime.classList.remove("mui-active");
				mui.trigger(objSwitchTime, "toggle", {
					isActive: false
				});
			}
			var objDisTime = document.getElementById("dis-time")
			objDisTime.querySelector("a[data-type=start]").setAttribute("time", itemData.DisTimeStart);
			objDisTime.querySelector("a[data-type=start]").querySelector("p").innerHTML = itemData.DisTimeStart || "未设置";
			objDisTime.querySelector("a[data-type=end]").setAttribute("time", itemData.DisTimeEnd);
			objDisTime.querySelector("a[data-type=end]").querySelector("p").innerHTML = itemData.DisTimeEnd || "未设置";

		}
	}
	//是否是缴费商家
	document.getElementById("btn-submit").setAttribute("is-vip", itemData.ShopIsVip ? "true" : "false");
	document.getElementById("btn-submit").setAttribute("userId", itemData.UserId);

	//店铺简介
	document.getElementById("shop-body").value = itemData.ShopBody;

	//搜索关健字
	addKey(itemData.KeyList);

	//添加服务
	//	addServer(itemData.ServerList);
	//详细文字介绍 
	//	document.getElementById("item-body").value = itemData.ItemBody
	//图片及描述
	addImgDetailEdit(itemData.ImgDetailList, itemData.ImgDetailMess, "Shop", 0);
	plus.nativeUI.closeWaiting();

	self.show();
}
//添加型号规格
function addKey(data) {
	if(!data) return;
	//防止有空格
	var keys = data.replace(/ /g, "").replace(/，/g, ",").split(',');
	keys = DistinctArray(keys);
	//防止重复或类似??
	mui("#key-list a").each(function() {
		var oldKey = this.firstChild.innerHTML;
		var i = keys.indexOf(oldKey)
		if(i > -1)
			keys.splice(i, 1)
	})

	var modelList = document.getElementById("key-list");
	//添加关健字
	mui.each(keys, function() {
		if(this.length > 6) {
			mui.alert("每个搜索关健字长度不得大于6个字！")
			return false;
		}
		if(this.length > 0) {

			var el = document.createElement("li");
			el.classList.add("mui-table-view-cell");
			var html = [];
			html.push('<a class = "mui-navigate-right">');
			html.push('<span>' + this.trim() + '</span>');
			html.push('<p class = "mui-pull-right mk-li-right">删除</p>');
			html.push('</a></li>')
			el.innerHTML = html.join('');
			modelList.appendChild(el);
		}
	})
};

//添加商家服务
function addServer(data) {
	//	<li class="mui-table-view-cell">
	//		<a class="mui-navigate-right" name="免费送货" id="1">
	//	        免费送货<p class = "mui-pull-right" style = "color:red">删除</p>
	//	    </a>
	//	</li>

	var cStr = "";
	var serverLoacl = JSON.parse(plus.storage.getItem("serverData"));
	var serverS = data.split(',');
	mui.each(serverS, function() {
		var serverId = this;
		var server = serverLoacl.filter(function(item) {
			return item.ServerId == serverId;
		});
		if(server.length > 0) {
			cStr += '<li class="mui-table-view-cell">';
			cStr += '<a class="mui-navigate-right" name="' + server[0].ServerName + '" id="' + server[0].ServerId + '">';
			cStr += server[0].ServerName;
			cStr += '<p class = "mui-pull-right" style = "color:red">删除</p>';
			cStr += '</a></li>';

		}
	});
	document.getElementById("server-list").innerHTML += cStr;
};