hiNoHRGLIS料时获取商品资料
function getItemByEdit(itemId) {
	var serverPage = "/DataGet/Item/GetItemByEdit.ashx";
	var para = {
		ItemId: itemId
	};
	RunAjax(serverPage, para, setItemData,function(){
		self.close();
	});

};
//设置 商品信息数据。??要控制哪些不显示的就不用设置 
function setItemData(dataS) {
	var itemData = JSON.parse(dataS)[0];

	var mainImg = document.getElementById("main-img");
	if (mainImg && itemData.MainImg) {
		mainImg.setAttribute("imgName", itemData.MainImg);
		mainImg.setAttribute("imgNameOnServer", itemData.MainImg)
		//图片默认为已上传
		mainImg.setAttribute("upLoaded", "true")
		mainImg.onload = loadImage(mainImg);
	}
//	标题
	document.getElementById("item-name").value = itemData.ItemName;
//	简述
	document.getElementById("item-sim").value = itemData.ItemSim;
//	内部标识
	document.getElementById("item-no-owner").value = itemData.ItemNoOwner;

	//价格
	document.getElementById("price-act").value = itemData.PriceSale.toFixed(2);
	document.getElementById("uom").value = itemData.Uom;
	document.getElementById("price-shop").value = itemData.PriceShop.toFixed(2);
	//返利比例 
	document.getElementById("rate-return").value = itemData.RateReturn.toFixed(1);
	//购买限量
	document.getElementById("qty-max-all").value = itemData.QtyMaxAll.toFixed(2);
	document.getElementById("qty-max-one").value = itemData.QtyMaxOne.toFixed(2);
	//开始销售时间
	document.getElementById("time-sale").innerHTML = itemData.TimeSale.substring(0,4) == '1900'?'上线即售':itemData.TimeSale;
	//配送方式
	document.getElementById("send-type").setAttribute("dataId",itemData.SendTypeId);
	document.getElementById("send-type").innerHTML = itemData.SendTypeName;
	//位置
	document.getElementById("space").setAttribute("dataId",itemData.SpaceId);
	document.getElementById("space").innerHTML = itemData.SpaceName;
	//行业
	document.getElementById("trade").setAttribute("dataId",itemData.TradeId);
	document.getElementById("trade").innerHTML = itemData.TradeName;
	//地图定位标识
	
	x = itemData.f_x * 1;
	y = itemData.f_y * 1;

	//地图定位标识
	if(x > 0 && y > 0) {
		var xy = document.getElementById("x-y");
		xy.setAttribute("x", x);
		xy.setAttribute("y", y);
		xy.innerHTML = "已定位";
	}
	
	
	//规格型号
	addModel(itemData.ModelList);

	//使用规则
	addRule(itemData.ItemRule);

	//详细文字介绍 
	document.getElementById("item-body").value = itemData.ItemBody

	//图片及描述
	addImgDetailEdit(itemData.ImgDetailList, itemData.ImgDetailMess,"Item",0);
	plus.nativeUI.closeWaiting();
	self.show();
}

//添加使用规则
function addRule(rule) {
	if (!rule) return;
	var rules = rule.split("|");
	var cStr = "";
	mui.each(rules, function() {
		cStr += '<li class="mui-table-view-cell">';
		cStr += '<a class="mui-navigate-right" rule = "' + this + '">';
		cStr += '<p class="mui-pull-right" style = "color:red">删除</p>';
		cStr += '<span class = "mui-ellipsis">' + this + '</span>';
		cStr += "</a></li>";
	})
	document.getElementById("rule-list").innerHTML += cStr;
};

//添加型号规格
function addModel(data) {
	if (!data) return;
	//		DOM结构
	//		<li class="mui-table-view-cell">
	//			<a class = "mui-navigate-right">
	//				<span>红色</span>
	//				<p class = "mui-pull-right">删除</p>
	//			</a>
	//		</li>
	//防止重复或类似??
	//添加关健字
	var models = data.replace(/ /g, "").replace(/，/g, ",").split(',');
	models = DistinctArray(models);

	//防止重复或类似??
	mui("#model-list a").each(function() {
		var oldKey = this.firstChild.innerHTML.trim();
		var i = models.indexOf(oldKey)
		if (i > -1)
			models.splice(i, 1)
	})
	mui.each(models, function() {
		if (this.length > 0) {
			var modelList = document.getElementById("model-list");
			var el = document.createElement("li");
			el.classList.add("mui-table-view-cell");
			var html = [];
			html.push('<a class = "mui-navigate-right">');
			html.push('<span>' + this + '</span>');
			html.push('<p class = "mui-pull-right" style = "color:red">删除</p>');
			html.push('</a></li>')
			el.innerHTML = html.join('');
			modelList.appendChild(el);
		}
	})
};

