QckmOpjvbd铺资料(店铺资料查看，申请绑定)
function getItemDetail(dataId) {

	var userId = plus.storage.getItem("UserId") || "";
	var posData = JSON.parse(plus.storage.getItem("LastPosition"));
	var serverPage = "/DataGet/Item/GetItemById.ashx";
	var para = {
		DataId: dataId,
		PrdId: plus.storage.getItem("CurPrdId"),
		X: posData.X,
		Y: posData.Y,
		UUID: plus.device.uuid,
		UserId: userId
	};

	RunAjax(serverPage, para, setItemDetail, function() {

		mui.toast(ajaxErrorMess);
		//		if (pullType == "down") {
		//			//启用上拉
		//			mui('#pull-refresh').pullRefresh().enablePullupToRefresh();
		//			mui("#pull-refresh").pullRefresh().endPulldownToRefresh();
		//		}
		plus.nativeUI.closeWaiting();
		self.close();
	});
};

//设置 界面元素显示
function pageElShow(prdId) {
	//取得大类设置
	var prdSet = GetPrdSet(prdId);
	//显示图片
	if(!prdSet.ShowImage) {
		deleteObj(document.getElementById("el-main-img"));
	}

	//型号规格
	if(!prdSet.ShowModel) {
		deleteObj(document.getElementById("item-model-list"));
	}
	//购买数量限制
	if(!prdSet.ShowQtySaleMax) {
		deleteObj(document.getElementById("qty-max"));
	}
	//返利
	if(!prdSet.ShowBackRate) {
		deleteObj(document.getElementById("rate-return"));
	}
	
	//评分
	if(!prdSet.ShowComm) {
		deleteObj(document.getElementById("el-comm"));
	}

	//显示 销售价格
	if(!prdSet.ShowPriceAct) {
		//已售数量
		deleteObj(document.getElementById("qty"));
		//底部销售相关
		deleteObj(document.getElementById("el-sale"));
		//配送方式
		deleteObj(document.getElementById("send-type"));
	}

	//使用规则
	if(!prdSet.ShowRule) {
		delete(document.getElementById("rule-div"));
	}
}

function setItemDetail(dataS) {
	var data = JSON.parse(dataS);
	
	if(!data || data.length == 0) {
		plus.nativeUI.closeWaiting();
		self.close();
		return;
	};

	var itemData = data[0];
	pageElShow(itemData.PrdId);
	document.getElementById("item-name").setAttribute("prd-id",itemData.PrdId);
	
	//取得大类设置
	var prdSet = GetPrdSet(itemData.PrdId);
	//页面标题 
	document.getElementById("title").innerHTML = itemData.ItemName;
	//	经纬度
	var xy = document.getElementById("x-y");
	if(xy) {
		xy.setAttribute("x", itemData.X);
		xy.setAttribute("y", itemData.Y);
	}

	//收藏
	var coll = document.getElementById("data-coll");
	(coll && itemData.IsColl) && coll.classList.add("mk-coll");

	//主图
	var mainImg = document.getElementById("mainImg");
	if(prdSet.ShowImage) {
		if(mainImg && itemData.MainImg) {
			mainImg.setAttribute("imgName", itemData.MainImg);
			mainImg.onload = loadImage(mainImg);
		}
	}

	document.getElementById("shop-name").innerHTML = itemData.ShopName;
	document.getElementById("item-name").innerHTML = itemData.ItemName;
	document.getElementById("item-sim").innerHTML = itemData.ItemSim;
	document.getElementById("brow-count").innerHTML = itemData.CountBrow;
	///已售数量
	if(prdSet.ShowPriceAct) {
		document.getElementById("qty-sale").innerHTML = itemData.QtySale;
	}

	//商品规格
	if(prdSet.ShowModel) {
		var models = itemData.ModelList.split(",");
		var cStr = "";
		mui.each(models, function() {
			if(this.length > 0) {
				cStr += '<span class = "mk-item-model">' + this + '</span>'
			}
		});
		if(cStr) {
			document.getElementById("item-model-list").innerHTML = cStr;
		} else {
			document.getElementById("item-model-list").classList.add("mui-hidden");
		}
	}
	//购买数量限制
	if(prdSet.ShowQtySaleMax) {
		var maxQty = [];
		if(itemData.QtyMaxAll > 0) {
			maxQty.push(itemData.QtyMaxAll + " " + itemData.Uom + "售完即止。")
		}
		if(itemData.QtyMaxOne > 0) {
			maxQty.push("每人限购 " + itemData.QtyMaxOne + " " + itemData.Uom);
		}
		if(maxQty.length > 0) {
			document.getElementById("qty-max").innerHTML = "<p style = 'color:red;'>" + maxQty.join("") + "</p>"
		} else {
			deleteObj(document.getElementById("qty-max"));
		}
	};
	//返利
	if(prdSet.ShowBackRate) {
//		console.log(itemData.RateReturn == 0);
		if(itemData.RateReturn && itemData.RateReturn != 0) {
			document.getElementById("rate-return").classList.add("mui-hidden");
		} else {
			deleteObj(document.getElementById("rate-return"));
		}
	}

	//运输方式
	if(prdSet.ShowPriceAct) {
		var sendObj = document.getElementById("send-type");
//		console.log(itemData.SendTypeId + "aa");
		if(itemData.SendTypeId) {
			if(itemData.SendTypeSim) {
				sendObj.innerHTML = '<p style = "color:blue;">' + itemData.SendTypeSim + "</p>";
			} else {
				sendObj.classList.add("mui-hidden");
			}
			sendObj.setAttribute("dataId", itemData.SendTypeId);
		}
	}

	//详细说明
	var itemBody = itemData.ItemBody;
	if(!itemBody || itemBody.length == 0) {
		itemBody = "　　这个掌柜有点懒，什么也没有说，东西应该比较好吧...";
	}
	document.getElementById("item-body").innerText = itemBody;
	//商品详细图片
	addImgDetail(itemData.ImgDetailList, itemData.ImgDetailMess, "Item", 3);
	var objImgDetail = document.getElementById("img-detail");
	objImgDetail.setAttribute("img-list", itemData.ImgDetailList);
	objImgDetail.setAttribute("img-mess", itemData.ImgDetailMess);
	//购买须知
	var itemRule = itemData.ItemRule;
	if(itemRule) {
		var rules = itemRule.split('|');
		var cStr = "";
		mui.each(rules, function() {
			cStr += '<li><span style = "color:blue;">' + this + '</span></li>';
		});
		document.getElementById("rule-list").innerHTML = cStr;

	} else {
		document.getElementById("rule-list").parentElement.classList.add("mui-hidden");
	}
	//评分
	if(prdSet.ShowComm) {
		var score = itemData.ScoreComment;
		if (score == 0){
			score = 5;
		}
		document.getElementById("score").innerHTML = "(" + score.toFixed(2) + "分　"
		document.getElementById("comment-count").innerHTML = itemData.CountComment + "评)";
	}

	//	经纬度,地址
	var addrObj = document.getElementById("addr-li");
	if(addrObj) {
		var aObj = addrObj.getElementsByTagName("a")[0];
		aObj.setAttribute("x", itemData.X);
		aObj.setAttribute("y", itemData.Y);
	}

	//地址
	var shopAddress = document.getElementById("addr");
	if(shopAddress)
		shopAddress.innerHTML = itemData.Address;
	//距离
	var shopDistance = document.getElementById("distance");
	if(shopDistance) {
		shopDistance.innerHTML = itemData.Distance;
	}

	//电话
	var shopTel = document.getElementById("tel")
	if(shopTel) {
		var aObj = shopTel.getElementsByTagName("a")[0];
		if(!itemData.Tel || itemData.Tel.toString().length < 7) {
			aObj.innerHTML = "<p>掌柜没有留下电话号码!</p>";
		} else {
			var telNo = itemData.Tel.toString();
			aObj.setAttribute("tel-no", itemData.Tel);
			document.getElementById("tel-no").innerHTML = telNo.substr(0, telNo.length - 4) + "****";
		}
	}

	//商家服务 
	var serverList = document.getElementById("server-list");
	//服务列表
	if(serverList) {
		var serverLoacl = JSON.parse(plus.storage.getItem("serverData"));
		var serverS = itemData.ServerList.split(',');
		cStr = "";
		mui.each(serverS, function() {
			var serverId = this;
			var server = serverLoacl.filter(function(item) {
				return item.ServerId == serverId;
			});
			if(server.length > 0) {
				cStr += '<p class="mui-badge mui-badge-purple">' + server[0].ServerName + '</p>\n';
			}
		})
		if(cStr) {
			document.getElementById("server-list").innerHTML = cStr;
		} else {
			document.getElementById("server-list").parentNode.classList.add("mui-hidden");
		}
	}
	//商家推荐
	if(itemData.KeyList.trim().length > 0) {
		var keyList = itemData.KeyList.split(',');
		cStr = "";
		mui.each(keyList, function() {
			cStr += '<p class="mui-badge mui-badge-green">' + this + '</p>\n';
		});
		document.getElementById("key-list").innerHTML = cStr;
	} else {
		document.getElementById("div-key").classList.add("mui-hidden");
	}

	//设置同店其它商品
	if(itemData.ShopId != 0) {
		//获取当前店铺发布的商品
		getItemInShop(itemData.ShopId, itemData.DataId);
	}

	//销售价格
	if(prdSet.ShowPriceAct) {
		document.getElementById("price-sale").innerHTML = itemData.PriceSale.toFixed(2);
		document.getElementById("uom").innerHTML = "/" + itemData.Uom + "　";

		//		看有没到购买时间
		var timeSale = new Date(itemData.TimeSale);
		var timeCur = new Date();
		if(timeSale > timeCur) {
			document.getElementById("btn-buy").classList.add("mui-hidden");
			var divObjName = 'time-less';
			//先调用一次
			ShowCountDown(itemData.TimeSale, divObjName);
			document.getElementById("time-sale").classList.remove("mui-hidden");
			//倒计时代码
			timer = window.setInterval(function() {
				ShowCountDown(itemData.TimeSale, divObjName, timeEnd);
				//				ShowCountDown("2016-10-27 17:49", divObjName,timeEnd);
			}, 1000);
		}
	}
	//店铺价格
	if(prdSet.ShowPriceAct) {
		if (itemData.PriceShop != itemData.PriceSale)
			document.getElementById("price-shop").innerHTML = itemData.PriceShop.toFixed(2);
	}

	plus.nativeUI.closeWaiting();
	self.show("slide-in-right", 200);
};

function timeEnd() {
	document.getElementById("time-sale").classList.add("mui-hidden");
	document.getElementById("btn-buy").classList.remove("mui-hidden");
}